> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent/Ai-Bot is typing a message indicator for live chat

> Agent/AI-Bot will call this when they are typing a message in live chat message



## OpenAPI

````yaml /api-reference/conversations/openapi.json post /conversations/providers/live-chat/typing
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/providers/live-chat/typing:
    post:
      tags:
        - Providers
      summary: Agent/Ai-Bot is typing a message indicator for live chat
      description: >-
        Agent/AI-Bot will call this when they are typing a message in live chat
        message
      operationId: live-chat-agent-typing
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserTypingBody'
      responses:
        '201':
          description: Show typing indicator for live chat
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateLiveChatMessageFeedbackResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - conversations/livechat.write
components:
  schemas:
    UserTypingBody:
      type: object
      properties:
        locationId:
          type: string
          description: Location Id
          example: ve9EPM428h8vShlRW1KT
        isTyping:
          type: string
          description: Typing status
          example: true
        visitorId:
          type: string
          description: >-
            visitorId is the Unique ID assigned to each Live chat visitor.
            visitorId will be added soon in <a
            href="https://highlevel.stoplight.io/docs/integrations/00c5ff21f0030-get-contact"
            target="_blank">GET Contact API</a>
          example: ve9EPM428h8vShlRW1KT
        conversationId:
          type: string
          description: Conversation Id
          example: ve9EPM428h8vShlRW1KT
      required:
        - locationId
        - isTyping
        - visitorId
        - conversationId
    CreateLiveChatMessageFeedbackResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````